declare module '@popiplay/fairygui-dom-fork'
{
    export class GComponent
    {
        makeFullScreen(): void;
        destroy?: () => void;
    }

    export const RelationType: {
        Size: string;
    };

    export namespace UIPackage
    {
        function createObject(packageName: string, resourceName: string): any;
        function loadPackage(url: string): Promise<void>;
    }

    export namespace GRoot
    {
        const inst: {
            setScale(x: number, y: number): void;
            setSize(width: number, height: number): void;
        };
    }
}
